### Method

# Gdk Clipboardset

#### Declaration [src]

    void
    gdk_clipboard_set (
      GdkClipboard* clipboard,
      GType type,
      ...
    )

#### Description [src]

Sets the clipboard to contain the value collected from the given varargs.

Values should be passed the same way they are passed to other value collecting APIs, such as `g_object_set()` or `g_signal_emit()`.

    gdk_clipboard_set (clipboard, GTK_TYPE_STRING, "Hello World");

    gdk_clipboard_set (clipboard, GDK_TYPE_TEXTURE, some_texture);

This method is not directly available to language bindings.

The implementation of this method is provided by `gdk_clipboard_set_value()` in language bindings

#### Parameters

`type`

  Type: `GType`

  Type of value to set.

`...`

  Type: ``

  Value contents conforming to `type`.